IPhysics: IPhysicsRagdoll Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# IPhysicsRagdoll Class Reference

`#include <CPhysicsRagdoll.h>`

List of all members.

## Public Member Functions

| IPhysicsRagdoll ()
| ~IPhysicsRagdoll ()
void | init (NewtonWorld *world, IrrlichtDevice *dev, SPhysicsRagdoll *doll)

## Private Member Functions

void | buildRagDoll (NewtonRagDoll *ragDoll, NewtonRagDollBone *parentDollBone, ISceneNode *bone, int id)

## Static Private Member Functions

static void _cdecl | setRagDollTransform (const NewtonRagDollBone *bone)
static void _cdecl | applyRagDollForceAndTorqueEvent (const NewtonBody *body)

## Private Attributes

NewtonWorld * | m_world
IrrlichtDevice * | m_device
NewtonRagDoll * | m_ragdoll
list< IPhysicsBaseEntity * > | m_partsList

## Constructor & Destructor Documentation

IPhysicsRagdoll::IPhysicsRagdoll | ( |  | ) |

IPhysicsRagdoll::~IPhysicsRagdoll | ( |  | ) |

## Member Function Documentation

void IPhysicsRagdoll::init | ( | NewtonWorld * | world,
|  | IrrlichtDevice * | dev,
|  | SPhysicsRagdoll * | doll |
| ) |  |  |

void IPhysicsRagdoll::buildRagDoll | ( | NewtonRagDoll * | ragDoll,
|  | NewtonRagDollBone * | parentDollBone,
|  | ISceneNode * | bone,
|  | int | id |
| ) |  |  | `[private]`

void IPhysicsRagdoll::setRagDollTransform | ( | const NewtonRagDollBone * | bone | ) | `[static, private]`

void IPhysicsRagdoll::applyRagDollForceAndTorqueEvent | ( | const NewtonBody * | body | ) | `[static, private]`

## Member Data Documentation

NewtonWorld* IPhysicsRagdoll::m_world`[private]`

IrrlichtDevice* IPhysicsRagdoll::m_device`[private]`

NewtonRagDoll* IPhysicsRagdoll::m_ragdoll`[private]`

list<IPhysicsBaseEntity*> IPhysicsRagdoll::m_partsList`[private]`

The documentation for this class was generated from the following files:

- C:/Documents and Settings/user/Desktop/IPhysics 1.5 Irr 1.2/source/CPhysicsRagdoll.h
- C:/Documents and Settings/user/Desktop/IPhysics 1.5 Irr 1.2/source/CPhysicsRagdoll.cpp